package com.sambath.sbc.remote.service;

public interface EventListener {

    void onConnect();

    void onConnectionError() ;

    void onReconnect();

    void onReconnectionTimeout();

    void onDisconnect();

    void onUpdateChannelInfo(String data);

    void onDefinedResultAndChannel(String data);

    void onUpdateUserInfo(String data);

    void onUpdateBettingAmount(String data);

    void onUpdatePayout(String data);

    void onReverseRseult(String data);

    void onResetAmount(String data);

}
